## class osgText::DefaultFont

## Inheritance:

### Public Methods

static DefaultFont* instance()
virtual std::string getFileName() const
virtual void setSize(unsigned int width, unsigned int height)
  NOP with DefaultFont since it only supports a single fixed sized font.
virtual Font::Glyph* getGlyph(unsigned int charcode)
virtual osg::Vec2 getKerning(unsigned int leftcharcode, unsigned int rightcharcode)
virtual bool hasVertical() const

### Protected Methods

DefaultFont()
virtual ~DefaultFont()
void constructGlyphs()

### Inherited from Font:

### Public Methods

virtual osg::Object* cloneType() const
virtual osg::Object* clone(const osg::CopyOp&) const
virtual bool isSameKindAs(const osg::Object* obj) const
virtual const char* className() const
virtual const char* libraryName() const
unsigned int getWidth()
unsigned int getHeight()
void setGlyphImageMargin(unsigned int margin)
unsigned int getGlyphImageMargin() const
void setTextureSizeHint(unsigned int width, unsigned int height)
unsigned int getTextureWidthHint() const
unsigned int getTextureHeightHint() const
void setMinFilterHint(osg::Texture::FilterMode mode)
osg::Texture::FilterMode getMinFilterHint() const
void setMagFilterHint(osg::Texture::FilterMode mode)
osg::Texture::FilterMode getMagFilterHint() const
void setImplementation(FontImplementation* implementation)
FontImplementation* getImplementation()
const FontImplementation* getImplementation() const

### Public Members

class FontImplementation: public osg::Referenced
class OSGTEXT_EXPORT GlyphTexture: public osg::Texture2D
class OSGTEXT_EXPORT Glyph: public osg::Image

### Protected Fields

SizeGlyphMap _sizeGlyphMap
GlyphTextureList _glyphTextureList
StateSetList _stateSetList
unsigned int _width
unsigned int _height
unsigned int _margin
unsigned int _textureWidthHint
unsigned int _textureHeightHint
osg::Texture::FilterMode _minFilterHint
osg::Texture::FilterMode _magFilterHint
osg::ref_ptr<FontImplementation> _implementation

### Protected Methods

void addGlyph(unsigned int width, unsigned int height, unsigned int charcode, Glyph* glyph)

### Protected Members

typedef std::vector< osg::ref_ptr<GlyphTexture> > GlyphTextureList
typedef std::vector< osg::ref_ptr<osg::StateSet> > StateSetList
typedef std::map< unsigned int, osg::ref_ptr<Glyph> > GlyphMap
typedef std::pair< unsigned int, unsigned int > SizePair
typedef std::map< SizePair, GlyphMap > SizeGlyphMap

## Documentation

`static DefaultFont* instance()`

`virtual std::string getFileName() const`

`virtual void setSize(unsigned int width, unsigned int height)`
  NOP with DefaultFont since it only supports a single fixed sized font.

`virtual Font::Glyph* getGlyph(unsigned int charcode)`

`virtual osg::Vec2 getKerning(unsigned int leftcharcode, unsigned int rightcharcode)`

`virtual bool hasVertical() const`

`DefaultFont()`

`virtual ~DefaultFont()`

`void constructGlyphs()`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.